--- arch/arm/special/empeg_display.c.orig	Sun Jan 27 20:23:04 2002
+++ arch/arm/special/empeg_display.c	Sun Jan 27 20:22:47 2002
@@ -1123,6 +1123,9 @@
 			
 			/* Turning display on */
 			empeg_displaypower(1);
+			
+			/* Turn on button LEDs, Hack by Brian Mihulka bmihulka@hulkster.net */
+			display_sendcontrol(244);
 
 			/* Wait for a while for it to come to life */
 			udelay(POWERFAIL_DISABLED_DELAY);
@@ -1134,6 +1137,10 @@
 			/* Do this first in case powerfail triggers */
 			dev->power = FALSE;
 			
+			/* Turn off button LEDs, Hack by Brian Mihulka bmihulka@hulkster.net */
+			display_sendcontrol(242);
+			display_sendcontrol(242);
+			
 			/* Turning display off */
 			empeg_displaypower(0);
 			
@@ -1180,11 +1187,16 @@
 	case EMPEG_DISPLAY_SETBRIGHTNESS:
 		/* Set screen brightness */
 		{
-			int ret, level;
+			int ret, level, led;
 			if((ret = get_user(level, (int *) arg)) != 0) return ret;
 			if(level < 0 || level > 100) return -EINVAL;
 			level = 116 - level;
 			display_sendcontrol(level);
+			
+			/*  Set button LED brightness, Hack by Brian Mihulka bmihulka@hulkster.net */
+			display_sendcontrol(242);
+			level = 116 - level;
+			for(led=0;led<=level;led+=2) display_sendcontrol(243);
 		}
 		break;	
 
